# Uses of Interface
jdk.dynalink.linker.LinkRequest

Packages that use LinkRequest
Package
Description
jdk.dynalink.beans
Contains the linker for ordinary Java objects.
jdk.dynalink.linker
Contains interfaces and classes needed by language runtimes to implement their own language-specific object models and type conversions.
jdk.dynalink.linker.support
Contains classes that make it more convenient for language runtimes to implement their own language-specific object models and type conversions by providing basic implementations of some classes as well as various utilities.

## Uses of LinkRequest in jdk.dynalink.beans

Methods in jdk.dynalink.beans with parameters of type LinkRequest
Modifier and Type
Method
Description
`MethodHandle`
MissingMemberHandlerFactory.`createMissingMemberHandler(LinkRequest linkRequest, LinkerServices linkerServices)`
Returns a method handle suitable for implementing missing member behavior for a particular link request.
`GuardedInvocation`
BeansLinker.`getGuardedInvocation(LinkRequest request, LinkerServices linkerServices)`

## Uses of LinkRequest in jdk.dynalink.linker

Methods in jdk.dynalink.linker that return LinkRequest
Modifier and Type
Method
Description
`LinkRequest`
LinkRequest.`replaceArguments(CallSiteDescriptor callSiteDescriptor, Object... arguments)`
Returns a request identical to this one with call site descriptor and arguments replaced with the ones specified.
Methods in jdk.dynalink.linker with parameters of type LinkRequest
Modifier and Type
Method
Description
`GuardedInvocation`
GuardedInvocationTransformer.`filter(GuardedInvocation inv, LinkRequest linkRequest, LinkerServices linkerServices)`
Given a guarded invocation, return either the same or potentially different guarded invocation.
`GuardedInvocation`
GuardingDynamicLinker.`getGuardedInvocation(LinkRequest linkRequest, LinkerServices linkerServices)`
Creates a guarded invocation appropriate for a particular invocation with the specified arguments at a call site.
`GuardedInvocation`
LinkerServices.`getGuardedInvocation(LinkRequest linkRequest)`
Creates a guarded invocation delegating back to the `DynamicLinker` that exposes this linker services object.

## Uses of LinkRequest in jdk.dynalink.linker.support

Classes in jdk.dynalink.linker.support that implement LinkRequest
Modifier and Type
Class
Description
`class`
`SimpleLinkRequest`
Default simple implementation of `LinkRequest`.
Methods in jdk.dynalink.linker.support that return LinkRequest
Modifier and Type
Method
Description
`LinkRequest`
SimpleLinkRequest.`replaceArguments(CallSiteDescriptor newCallSiteDescriptor, Object... newArguments)`
Methods in jdk.dynalink.linker.support with parameters of type LinkRequest
Modifier and Type
Method
Description
`GuardedInvocation`
CompositeGuardingDynamicLinker.`getGuardedInvocation(LinkRequest linkRequest, LinkerServices linkerServices)`
Delegates the call to its component linkers.
`GuardedInvocation`
CompositeTypeBasedGuardingDynamicLinker.`getGuardedInvocation(LinkRequest linkRequest, LinkerServices linkerServices)`